diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/ptr-test-suite.cc ns-3.31/src/core/test/ptr-test-suite.cc
--- ns-3.30.1/src/core/test/ptr-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/ptr-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -36,8 +36,8 @@
 
 namespace ns3 {
 
-  namespace tests {
-    
+namespace tests {
+
 
 class PtrTestCase;
 
@@ -56,6 +56,7 @@
   void Ref (void) const;
   /** Decrement the reference count, and delete if necessary. */
   void Unref (void) const;
+
 private:
   mutable uint32_t m_count; //!< The reference count.
 };
@@ -81,6 +82,7 @@
   ~NoCount ();
   /** Noop function. */
   void Nothing (void) const;
+
 private:
   PtrTestCase *m_test; //!< The object being tracked.
 };
@@ -97,10 +99,11 @@
   PtrTestCase ();
   /** Count the destruction of an object. */
   void DestroyNotify (void);
+
 private:
   virtual void DoRun (void);
   /**
-   * Test that \p p is a valid object, by calling a member function.
+   * Test that \pname{p} is a valid object, by calling a member function.
    * \param [in] p The object pointer to test.
    * \returns The object pointer.
    */
@@ -113,11 +116,9 @@
 
 PtrTestBase::PtrTestBase ()
   : m_count (1)
-{
-}
+{}
 PtrTestBase::~PtrTestBase ()
-{
-}
+{}
 void
 PtrTestBase::Ref (void) const
 {
@@ -135,8 +136,7 @@
 
 NoCount::NoCount (PtrTestCase *test)
   : m_test (test)
-{
-}
+{}
 NoCount::~NoCount ()
 {
   m_test->DestroyNotify ();
@@ -149,8 +149,7 @@
 
 PtrTestCase::PtrTestCase (void)
   : TestCase ("Sanity checking of Ptr<>")
-{
-}
+{}
 void
 PtrTestCase::DestroyNotify (void)
 {
@@ -183,14 +182,14 @@
     Ptr<NoCount> p;
     p = Create<NoCount> (this);
 #if defined(__clang__)
-  #if __has_warning("-Wself-assign-overloaded")
+  #if __has_warning ("-Wself-assign-overloaded")
     #pragma clang diagnostic push
     #pragma clang diagnostic ignored "-Wself-assign-overloaded"
   #endif
 #endif
     p = p;
 #if defined(__clang__)
-  #if __has_warning("-Wself-assign-overloaded")
+  #if __has_warning ("-Wself-assign-overloaded")
     #pragma clang diagnostic pop
   #endif
 #endif
@@ -336,7 +335,7 @@
   PtrTestSuite ()
     : TestSuite ("ptr")
   {
-    AddTestCase (new PtrTestCase ());  
+    AddTestCase (new PtrTestCase ());
   }
 };
 
@@ -344,9 +343,9 @@
  * \ingroup ptr-tests
  * PtrTestSuite instance variable.
  */
-static PtrTestSuite g_ptrTestSuite;  
+static PtrTestSuite g_ptrTestSuite;
 
 
-  }  // namespace tests
+}    // namespace tests
 
 }  // namespace ns3
